net.minecraft.network.play.server

## Class S2DPacketOpenWindow

- java.lang.Object
- - net.minecraft.network.Packet
  - - net.minecraft.network.play.server.S2DPacketOpenWindow

-     public class S2DPacketOpenWindow
      extends Packet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `S2DPacketOpenWindow()`
    `S2DPacketOpenWindow(int p_i45184_1_, int p_i45184_2_, java.lang.String p_i45184_3_, int p_i45184_4_, boolean p_i45184_5_)`
    `S2DPacketOpenWindow(int p_i45185_1_, int p_i45185_2_, java.lang.String p_i45185_3_, int p_i45185_4_, boolean p_i45185_5_, int p_i45185_6_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `func_148897_h()`
    `int` | `func_148898_f()`
    `int` | `func_148899_d()`
    `boolean` | `func_148900_g()`
    `int` | `func_148901_c()`
    `java.lang.String` | `func_148902_e()`
    `void` | `processPacket(INetHandler p_148833_1_)`
    `void` | `processPacket(INetHandlerPlayClient p_148903_1_)`
    `void` | `readPacketData(PacketBuffer p_148837_1_)`
    `void` | `writePacketData(PacketBuffer p_148840_1_)`

    - ### Methods inherited from class net.minecraft.network.Packet

      `generatePacket, hasPriority, readBlob, serialize, toString, writeBlob`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### S2DPacketOpenWindow

          public S2DPacketOpenWindow()

    - #### S2DPacketOpenWindow

          public S2DPacketOpenWindow(int p_i45184_1_,
                             int p_i45184_2_,
                             java.lang.String p_i45184_3_,
                             int p_i45184_4_,
                             boolean p_i45184_5_)

    - #### S2DPacketOpenWindow

          public S2DPacketOpenWindow(int p_i45185_1_,
                             int p_i45185_2_,
                             java.lang.String p_i45185_3_,
                             int p_i45185_4_,
                             boolean p_i45185_5_,
                             int p_i45185_6_)

  - ### Method Detail

    - #### processPacket

          public void processPacket(INetHandlerPlayClient p_148903_1_)

    - #### readPacketData

          public void readPacketData(PacketBuffer p_148837_1_)
                              throws java.io.IOException

      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### writePacketData

          public void writePacketData(PacketBuffer p_148840_1_)
                               throws java.io.IOException

      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### func_148901_c

          public int func_148901_c()

    - #### func_148899_d

          public int func_148899_d()

    - #### func_148902_e

          public java.lang.String func_148902_e()

    - #### func_148898_f

          public int func_148898_f()

    - #### func_148900_g

          public boolean func_148900_g()

    - #### func_148897_h

          public int func_148897_h()

    - #### processPacket

          public void processPacket(INetHandler p_148833_1_)

      Specified by:
        `processPacket` in class `Packet`